@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Jost', sans-serif;
    font-weight: 600;
    user-select: none;
}

html {
    height: 100vh;
    height: 100svh;
    width: 100vw;
    overflow: hidden;
}

body {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    height: 100svh;
    width: 100vw;
    flex-direction: column;
    gap: 6px;
}

#board {
    display: grid;
    grid-template-columns: repeat(9, 1fr);
    border: 1px solid #22222244;
    border-radius: 8px;
    aspect-ratio: 1/1;
    height: auto;
    width: clamp(300px, 80vmin, 400px);
    border-collapse: collapse;
}

#practiceButton {
    width: clamp(300px, 80vmin, 400px);
    margin-top: 8px;
}

#othergamesButton {
    text-decoration: none;
    color: white;
}

#practiceButton {
    display: none;
}

.buttons {
    width: clamp(300px, 80vmin, 400px);
    display: flex;
    justify-content: space-between;
    grid-template-columns: 1fr 1fr 1fr;
    column-gap: 16px;
    align-items:baseline;
}

.button {
    width: 100%;
    padding: 6px 10px;
    background: linear-gradient(140deg,rgb(126, 199, 154) 0%, rgb(49, 141, 177) 100%);
    border: none;
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    transition: 0.2s;
    cursor: pointer;
}

.button:hover {
    cursor: pointer;
    background: linear-gradient(320deg,rgb(126, 199, 154) 0%, rgb(49, 141, 177) 100%);

    filter: brightness(1.1);
}

.cell {
    border: 1px solid #22222244;
    width: 100%;
    aspect-ratio: 1/1;
    display: flex;
    align-items: center;
    justify-content: center;
    user-select: none;
    position: relative;
    color: #417085;
    font-weight: 600;
    transition: background-color 0.2s;
    user-select: none;
}

.cell:active {
    background-color: #eeeeee;
}

.corner00 {
    border-top-left-radius: 6px;
}

.corner05 {
    border-top-right-radius: 6px;
}

.corner50 {
    border-bottom-left-radius: 6px;
}

.corner55 {
    border-bottom-right-radius: 6px;
}

.dots {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    width: 70%;
    height: 70%;
    justify-content: center;
    column-gap: 5px;
    pointer-events: none;
}

h1, h2 {
    user-select: none;
    background: -webkit-linear-gradient(140deg,rgb(126, 199, 154) 0%, rgb(49, 141, 177) 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

#timer, p {
    user-select: none;
    background: -webkit-linear-gradient(140deg,rgb(90, 180, 161) 0%, rgb(43, 130, 141) 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.dot {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 24%;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    background: #2A7B9B;
    background: linear-gradient(140deg,rgb(126, 199, 154) 0%, rgb(49, 141, 177) 100%);
    opacity: 0;
    transform: scale(0.7);
    pointer-events: none;
}

.overScreen {
    width: 100vw;
    height: 100vh;
    height: 100svh;
    position: absolute;
    top: 0; left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #00000088;
    opacity: 0;
    pointer-events: none;
}

.clickable {
    pointer-events: all;
}

.background {
    background-color: #00000088;
    position: absolute;
    top: 0; left: 0;
    width: 100vw;
    height: 100vh;
    height: 100svh;
}

.solvedBox {
    width: clamp(300px, 80vmin, 400px);
    padding: 20px;
    background-color: white;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    text-align: center;
    z-index: 10;
    max-height: 90vh;
    max-height: 90svh;
}

#instructionsOuter {
    width: 100%;
    overflow: hidden;
}

#instructionsInner {
    width: 200%;
    display: flex;
    transition: transform 0.2s ease-in-out;
}

.instructionsPage {
    min-height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 8px;
}

@keyframes winAnim {
  0% { background-color: #ffffff00;}
  30% { background-color: #d5ffe288;}
  50% { background-color: #ffffff;}
  70% { background-color: #d5f0ff88;}
  100% { background-color: #ffffff00;}
}

@keyframes popIn {
  0% {
    opacity: 0;
    transform: translate(-50%, -50%) scale(0.7);
  }
  60% {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1.2);
  }
  100% {
    transform: translate(-50%, -50%) scale(1);
    opacity: 1;
  }
}

@keyframes splitApartLeft {
  0% { transform: translate(-50%, -50%); opacity: 1;}
  100% { transform: translate(-120%, -50%) scale(1); opacity: 1;}
}

@keyframes splitApartRight {
  0% { transform: translate(-50%, -50%); opacity: 1;}
  100% { transform: translate(20%, -50%) scale(1); opacity: 1;}
}

@keyframes slideDown {
  0% { transform: translate(20%, -50%) scale(1); opacity: 1;}
  100% { transform: translate(-50%, 18%) scale(1); opacity: 1;}
}

@keyframes slideUpLeft {
  0% { transform: translate(-120%, -50%) scale(1); opacity: 1;}
  100% { transform: translate(-120%, -102%) scale(1); opacity: 1;}
}

@keyframes slideUpRight {
  0% { transform: translate(20%, -50%) scale(1); opacity: 1;}
  100% { transform: translate(20%, -102%) scale(1); opacity: 1;}
}

@keyframes collapse1 {
  0% { transform: translate(-120%, -105%) scale(1); opacity: 1; }
  100% { transform: translate(-50%, -50%) scale(0.5); opacity: 0; }
}

@keyframes collapse2 {
  0% { transform: translate(20%, -105%) scale(1); opacity: 1; }
  100% { transform: translate(-50%, -50%) scale(0.5); opacity: 0; }
}

@keyframes collapse3 {
  0% { transform: translate(-50%, 15%) scale(1); opacity: 1; }
  100% { transform: translate(-50%, -50%) scale(0.5); opacity: 0; }
}

.footer
{
    width: 100%;
    display:flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    bottom: 0px;
    height: 4svh;
    pointer-events: none;
}

.footer p
{
    color: #b3b3b3;
    font-size: 0.6rem;
}